
_TimersInit:

;timers.c,32 :: 		void TimersInit(void)
;timers.c,34 :: 		T0CON=0xC6;
	MOVLW       198
	MOVWF       T0CON+0 
;timers.c,35 :: 		TMR0L = 61;
	MOVLW       61
	MOVWF       TMR0L+0 
;timers.c,36 :: 		INTCON = 0xA0;
	MOVLW       160
	MOVWF       INTCON+0 
;timers.c,37 :: 		INTCON.PEIE = 1;
	BSF         INTCON+0, 6 
;timers.c,38 :: 		}
	RETURN      0
; end of _TimersInit

_interrupt:

;timers.c,40 :: 		void interrupt (void)
;timers.c,43 :: 		if(INTCON.TMR0IF)
	BTFSS       INTCON+0, 2 
	GOTO        L_interrupt0
;timers.c,45 :: 		cnt++;
	INFSNZ      interrupt_cnt_L0+0, 1 
	INCF        interrupt_cnt_L0+1, 1 
;timers.c,47 :: 		if(cnt == 100)
	MOVLW       0
	XORWF       interrupt_cnt_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt3
	MOVLW       100
	XORWF       interrupt_cnt_L0+0, 0 
L__interrupt3:
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt1
;timers.c,49 :: 		TimerForDispatcher();
	CALL        _TimerForDispatcher+0, 0
;timers.c,50 :: 		cnt=0;
	CLRF        interrupt_cnt_L0+0 
	CLRF        interrupt_cnt_L0+1 
;timers.c,51 :: 		}
L_interrupt1:
;timers.c,52 :: 		TMR0L = 61;
	MOVLW       61
	MOVWF       TMR0L+0 
;timers.c,53 :: 		INTCON.T0IF =0 ;
	BCF         INTCON+0, 2 
;timers.c,54 :: 		}
L_interrupt0:
;timers.c,55 :: 		}
L__interrupt2:
	RETFIE      1
; end of _interrupt

_T0_tick:

;timers.c,57 :: 		void T0_tick(unsigned char t, void* ev_arg)
;timers.c,59 :: 		PORTC.F0 = ~PORTC.F0;
	BTG         PORTC+0, 0 
;timers.c,60 :: 		}
	RETURN      0
; end of _T0_tick

_T1_tick:

;timers.c,62 :: 		void T1_tick(unsigned char t, void* ev_arg)
;timers.c,64 :: 		PORTC.F1 = ~PORTC.F1;
	BTG         PORTC+0, 1 
;timers.c,65 :: 		}
	RETURN      0
; end of _T1_tick

_T2_tick:

;timers.c,67 :: 		void T2_tick(unsigned char t, void* ev_arg)
;timers.c,69 :: 		PORTC.F2 = ~PORTC.F2;
	BTG         PORTC+0, 2 
;timers.c,70 :: 		}
	RETURN      0
; end of _T2_tick

_main:

;timers.c,72 :: 		void main() {
;timers.c,73 :: 		TRISB = 0x00; TRISC = 0x00;
	CLRF        TRISB+0 
	CLRF        TRISC+0 
;timers.c,74 :: 		PORTB = 0x00; PORTC = 0x00;
	CLRF        PORTB+0 
	CLRF        PORTC+0 
;timers.c,76 :: 		EventsInit();
	CALL        _EventsInit+0, 0
;timers.c,77 :: 		TimersInit();
	CALL        _TimersInit+0, 0
;timers.c,78 :: 		T0 = TimerCreate(T0_tick);
	MOVLW       _T0_tick+0
	MOVWF       FARG_TimerCreate_event_func+0 
	MOVLW       hi_addr(_T0_tick+0)
	MOVWF       FARG_TimerCreate_event_func+1 
	MOVLW       FARG_T0_tick_t+0
	MOVWF       FARG_TimerCreate_event_func+2 
	MOVLW       hi_addr(FARG_T0_tick_t+0)
	MOVWF       FARG_TimerCreate_event_func+3 
	CALL        _TimerCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _T0+0 
	MOVF        R1, 0 
	MOVWF       _T0+1 
;timers.c,79 :: 		T1 = TimerCreate(T1_tick);
	MOVLW       _T1_tick+0
	MOVWF       FARG_TimerCreate_event_func+0 
	MOVLW       hi_addr(_T1_tick+0)
	MOVWF       FARG_TimerCreate_event_func+1 
	MOVLW       FARG_T1_tick_t+0
	MOVWF       FARG_TimerCreate_event_func+2 
	MOVLW       hi_addr(FARG_T1_tick_t+0)
	MOVWF       FARG_TimerCreate_event_func+3 
	CALL        _TimerCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _T1+0 
	MOVF        R1, 0 
	MOVWF       _T1+1 
;timers.c,80 :: 		T2 = TimerCreate(T2_tick);
	MOVLW       _T2_tick+0
	MOVWF       FARG_TimerCreate_event_func+0 
	MOVLW       hi_addr(_T2_tick+0)
	MOVWF       FARG_TimerCreate_event_func+1 
	MOVLW       FARG_T2_tick_t+0
	MOVWF       FARG_TimerCreate_event_func+2 
	MOVLW       hi_addr(FARG_T2_tick_t+0)
	MOVWF       FARG_TimerCreate_event_func+3 
	CALL        _TimerCreate+0, 0
	MOVF        R0, 0 
	MOVWF       _T2+0 
	MOVF        R1, 0 
	MOVWF       _T2+1 
;timers.c,82 :: 		TimerStart(T0, 1);
	MOVF        _T0+0, 0 
	MOVWF       FARG_TimerStart_tid+0 
	MOVF        _T0+1, 0 
	MOVWF       FARG_TimerStart_tid+1 
	MOVLW       1
	MOVWF       FARG_TimerStart_ticks+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_ticks+1 
	CALL        _TimerStart+0, 0
;timers.c,83 :: 		TimerStart(T1, 2);
	MOVF        _T1+0, 0 
	MOVWF       FARG_TimerStart_tid+0 
	MOVF        _T1+1, 0 
	MOVWF       FARG_TimerStart_tid+1 
	MOVLW       2
	MOVWF       FARG_TimerStart_ticks+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_ticks+1 
	CALL        _TimerStart+0, 0
;timers.c,84 :: 		TimerStart(T2, 4);
	MOVF        _T2+0, 0 
	MOVWF       FARG_TimerStart_tid+0 
	MOVF        _T2+1, 0 
	MOVWF       FARG_TimerStart_tid+1 
	MOVLW       4
	MOVWF       FARG_TimerStart_ticks+0 
	MOVLW       0
	MOVWF       FARG_TimerStart_ticks+1 
	CALL        _TimerStart+0, 0
;timers.c,86 :: 		EventDispatcher();
	CALL        _EventDispatcher+0, 0
;timers.c,87 :: 		}
	GOTO        $+0
; end of _main
