#line 1 "F:/Stevan/ForLibStock/TimersEDT/timers.c"
#line 1 "f:/stevan/forlibstock/timersedt/edt.h"
typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int32_t;
typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long uint32_t;










typedef void (*EventTypeFunc)(uint8_t t, void* evp);

int16_t EventCreate(EventTypeFunc event_func, void* p, uint8_t s);
int16_t EventIPulse(uint8_t id, uint8_t type, void *msg);
int16_t EventPulse(uint8_t id, uint8_t type, void *msg);
void EventPublisherInit(int16_t msg_type, void *buff, uint8_t size);
void EventSubscribe(int16_t id, uint8_t type);
int16_t EventPublish(uint8_t type, void *msg);
int16_t EventIPublish(uint8_t type, void *msg);

void IdleSet(EventTypeFunc pfIdleFunc);

int16_t TimerCreate(EventTypeFunc event_func);
int16_t TimerStart(int16_t tid,uint16_t ticks);
int16_t TimerStop(int16_t tid);
int16_t TimerNewValue(int16_t tid,uint16_t ticks);

void TimerForDispatcher(void);

void EventsInit(void);
void EventDispatcher(void);
void Check_EDT(void);
#line 29 "F:/Stevan/ForLibStock/TimersEDT/timers.c"
int T0, T1, T2;


void TimersInit(void)
{
 T0CON=0xC6;
 TMR0L = 61;
 INTCON = 0xA0;
 INTCON.PEIE = 1;
}

void interrupt (void)
{
 static unsigned int cnt=0;
 if(INTCON.TMR0IF)
 {
 cnt++;

 if(cnt == 100)
 {
 TimerForDispatcher();
 cnt=0;
 }
 TMR0L = 61;
 INTCON.T0IF =0 ;
 }
}

void T0_tick(unsigned char t, void* ev_arg)
{
 PORTC.F0 = ~PORTC.F0;
}

void T1_tick(unsigned char t, void* ev_arg)
{
 PORTC.F1 = ~PORTC.F1;
}

void T2_tick(unsigned char t, void* ev_arg)
{
 PORTC.F2 = ~PORTC.F2;
}

void main() {
 TRISB = 0x00; TRISC = 0x00;
 PORTB = 0x00; PORTC = 0x00;

 EventsInit();
 TimersInit();
 T0 = TimerCreate(T0_tick);
 T1 = TimerCreate(T1_tick);
 T2 = TimerCreate(T2_tick);

 TimerStart(T0, 1);
 TimerStart(T1, 2);
 TimerStart(T2, 4);

 EventDispatcher();
}
